#include <qcoreevent.h>
#include <qdatetime.h>
#include <qfactoryinterface.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qregexp.h>
#include <qscriptable.h>
#include <qscriptclass.h>
#include <qscriptclasspropertyiterator.h>
#include <qscriptcontext.h>
#include <qscriptcontextinfo.h>
#include <qscriptengine.h>
#include <qscriptengineagent.h>
#include <qscriptextensioninterface.h>
#include <qscriptextensionplugin.h>
#include <qscriptstring.h>
#include <qscriptvalue.h>
#include <qscriptvalueiterator.h>
#include <qvariant.h>

#include <smoke.h>

#include <qtscript_smoke.h>

static void *qtscript_cast(void *xptr, Smoke::Index from, Smoke::Index to) {
    switch(from) {
      case 1:	//QChildEvent
	switch(to) {
	    case 3: return (void*)(QEvent*)(QChildEvent*)xptr;
	    case 1: return (void*)(QChildEvent*)(QChildEvent*)xptr;
	  default: return xptr;
	}
      case 2:	//QDateTime
	switch(to) {
	    case 2: return (void*)(QDateTime*)(QDateTime*)xptr;
	  default: return xptr;
	}
      case 3:	//QEvent
	switch(to) {
	    case 3: return (void*)(QEvent*)(QEvent*)xptr;
	    case 1: return (void*)(QChildEvent*)(QEvent*)xptr;
	    case 20: return (void*)(QTimerEvent*)(QEvent*)xptr;
	  default: return xptr;
	}
      case 4:	//QFactoryInterface
	switch(to) {
	    case 4: return (void*)(QFactoryInterface*)(QFactoryInterface*)xptr;
	    case 14: return (void*)(QScriptExtensionInterface*)(QFactoryInterface*)xptr;
	    case 15: return (void*)(QScriptExtensionPlugin*)(QFactoryInterface*)xptr;
	  default: return xptr;
	}
      case 5:	//QMetaObject
	switch(to) {
	    case 5: return (void*)(QMetaObject*)(QMetaObject*)xptr;
	  default: return xptr;
	}
      case 6:	//QObject
	switch(to) {
	    case 6: return (void*)(QObject*)(QObject*)xptr;
	    case 12: return (void*)(QScriptEngine*)(QObject*)xptr;
	    case 15: return (void*)(QScriptExtensionPlugin*)(QObject*)xptr;
	  default: return xptr;
	}
      case 7:	//QRegExp
	switch(to) {
	    case 7: return (void*)(QRegExp*)(QRegExp*)xptr;
	  default: return xptr;
	}
      case 8:	//QScriptClass
	switch(to) {
	    case 8: return (void*)(QScriptClass*)(QScriptClass*)xptr;
	  default: return xptr;
	}
      case 9:	//QScriptClassPropertyIterator
	switch(to) {
	    case 9: return (void*)(QScriptClassPropertyIterator*)(QScriptClassPropertyIterator*)xptr;
	  default: return xptr;
	}
      case 10:	//QScriptContext
	switch(to) {
	    case 10: return (void*)(QScriptContext*)(QScriptContext*)xptr;
	  default: return xptr;
	}
      case 11:	//QScriptContextInfo
	switch(to) {
	    case 11: return (void*)(QScriptContextInfo*)(QScriptContextInfo*)xptr;
	  default: return xptr;
	}
      case 12:	//QScriptEngine
	switch(to) {
	    case 6: return (void*)(QObject*)(QScriptEngine*)xptr;
	    case 12: return (void*)(QScriptEngine*)(QScriptEngine*)xptr;
	  default: return xptr;
	}
      case 13:	//QScriptEngineAgent
	switch(to) {
	    case 13: return (void*)(QScriptEngineAgent*)(QScriptEngineAgent*)xptr;
	  default: return xptr;
	}
      case 14:	//QScriptExtensionInterface
	switch(to) {
	    case 4: return (void*)(QFactoryInterface*)(QScriptExtensionInterface*)xptr;
	    case 14: return (void*)(QScriptExtensionInterface*)(QScriptExtensionInterface*)xptr;
	    case 15: return (void*)(QScriptExtensionPlugin*)(QScriptExtensionInterface*)xptr;
	  default: return xptr;
	}
      case 15:	//QScriptExtensionPlugin
	switch(to) {
	    case 6: return (void*)(QObject*)(QScriptExtensionPlugin*)xptr;
	    case 14: return (void*)(QScriptExtensionInterface*)(QScriptExtensionPlugin*)xptr;
	    case 4: return (void*)(QFactoryInterface*)(QScriptExtensionPlugin*)xptr;
	    case 15: return (void*)(QScriptExtensionPlugin*)(QScriptExtensionPlugin*)xptr;
	  default: return xptr;
	}
      case 16:	//QScriptString
	switch(to) {
	    case 16: return (void*)(QScriptString*)(QScriptString*)xptr;
	  default: return xptr;
	}
      case 17:	//QScriptValue
	switch(to) {
	    case 17: return (void*)(QScriptValue*)(QScriptValue*)xptr;
	  default: return xptr;
	}
      case 18:	//QScriptValueIterator
	switch(to) {
	    case 18: return (void*)(QScriptValueIterator*)(QScriptValueIterator*)xptr;
	  default: return xptr;
	}
      case 19:	//QScriptable
	switch(to) {
	    case 19: return (void*)(QScriptable*)(QScriptable*)xptr;
	  default: return xptr;
	}
      case 20:	//QTimerEvent
	switch(to) {
	    case 3: return (void*)(QEvent*)(QTimerEvent*)xptr;
	    case 20: return (void*)(QTimerEvent*)(QTimerEvent*)xptr;
	  default: return xptr;
	}
      case 21:	//QVariant
	switch(to) {
	    case 21: return (void*)(QVariant*)(QVariant*)xptr;
	  default: return xptr;
	}
      default: return xptr;
    }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index qtscript_inheritanceList[] = {
	0,	// 0: (no super class)
	6, 0,	// 1: QObject
	6, 14, 0,	// 3: QObject, QScriptExtensionInterface
};

// These are the xenum functions for manipulating enum pointers
void xenum_QScriptEngineAgent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptValue(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptClass(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptContextInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QScriptEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QScriptClass(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptClassPropertyIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptContextInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptEngineAgent(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptExtensionPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptString(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptValue(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptValueIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QScriptable(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, index into inheritanceList, method dispatcher, enum dispatcher, class flags
static Smoke::Class qtscript_classes[] = {
	{ 0L, false, 0, 0, 0, 0 }, 	// 0 (no class)
	{ "QChildEvent", true, 0, 0, 0, 0 }, 	// 1
	{ "QDateTime", true, 0, 0, 0, 0 }, 	// 2
	{ "QEvent", true, 0, 0, 0, 0 }, 	// 3
	{ "QFactoryInterface", true, 0, 0, 0, 0 }, 	// 4
	{ "QMetaObject", true, 0, 0, 0, 0 }, 	// 5
	{ "QObject", true, 0, 0, 0, 0 }, 	// 6
	{ "QRegExp", true, 0, 0, 0, 0 }, 	// 7
	{ "QScriptClass", false, 0, xcall_QScriptClass, xenum_QScriptClass, Smoke::cf_constructor|Smoke::cf_virtual }, 	//8
	{ "QScriptClassPropertyIterator", false, 0, xcall_QScriptClassPropertyIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//9
	{ "QScriptContext", false, 0, xcall_QScriptContext, xenum_QScriptContext, 0 }, 	//10
	{ "QScriptContextInfo", false, 0, xcall_QScriptContextInfo, xenum_QScriptContextInfo, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//11
	{ "QScriptEngine", false, 1, xcall_QScriptEngine, xenum_QScriptEngine, Smoke::cf_constructor|Smoke::cf_virtual }, 	//12
	{ "QScriptEngineAgent", false, 0, xcall_QScriptEngineAgent, xenum_QScriptEngineAgent, Smoke::cf_constructor|Smoke::cf_virtual }, 	//13
	{ "QScriptExtensionInterface", true, 0, 0, 0, 0 }, 	// 14
	{ "QScriptExtensionPlugin", false, 3, xcall_QScriptExtensionPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual }, 	//15
	{ "QScriptString", false, 0, xcall_QScriptString, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//16
	{ "QScriptValue", false, 0, xcall_QScriptValue, xenum_QScriptValue, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//17
	{ "QScriptValueIterator", false, 0, xcall_QScriptValueIterator, 0, Smoke::cf_constructor }, 	//18
	{ "QScriptable", false, 0, xcall_QScriptable, 0, Smoke::cf_constructor }, 	//19
	{ "QTimerEvent", true, 0, 0, 0, 0 }, 	// 20
	{ "QVariant", true, 0, 0, 0, 0 }, 	// 21
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type qtscript_types[] = {
	{ 0, 0, 0 },	//0 (no type)
	{ "FunctionSignature", 0, Smoke::t_voidp | Smoke::tf_stack },	//1
	{ "FunctionWithArgSignature", 0, Smoke::t_voidp | Smoke::tf_stack },	//2
	{ "QAbstractFileEngine::FileFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//3
	{ "QAbstractFileEngine::FileFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//4
	{ "QAbstractItemView::EditTriggers", 0, Smoke::t_uint | Smoke::tf_stack },	//5
	{ "QAbstractItemView::EditTriggers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//6
	{ "QAbstractPrintDialog::PrintDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//7
	{ "QAbstractPrintDialog::PrintDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//8
	{ "QAbstractSpinBox::StepEnabled", 0, Smoke::t_uint | Smoke::tf_stack },	//9
	{ "QAbstractSpinBox::StepEnabled&", 0, Smoke::t_voidp | Smoke::tf_ref },	//10
	{ "QAccessible::Relation", 0, Smoke::t_uint | Smoke::tf_stack },	//11
	{ "QAccessible::Relation&", 0, Smoke::t_voidp | Smoke::tf_ref },	//12
	{ "QAccessible::State", 0, Smoke::t_uint | Smoke::tf_stack },	//13
	{ "QAccessible::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//14
	{ "QChildEvent*", 1, Smoke::t_class | Smoke::tf_ptr },	//15
	{ "QDBusConnection::RegisterOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//16
	{ "QDBusConnection::RegisterOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//17
	{ "QDateTime", 2, Smoke::t_class | Smoke::tf_stack },	//18
	{ "QDateTimeEdit::Sections", 0, Smoke::t_uint | Smoke::tf_stack },	//19
	{ "QDateTimeEdit::Sections&", 0, Smoke::t_voidp | Smoke::tf_ref },	//20
	{ "QDialogButtonBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//21
	{ "QDialogButtonBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//22
	{ "QDir::Filters", 0, Smoke::t_uint | Smoke::tf_stack },	//23
	{ "QDir::Filters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//24
	{ "QDir::SortFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//25
	{ "QDir::SortFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//26
	{ "QDirIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//27
	{ "QDirIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//28
	{ "QDockWidget::DockWidgetFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//29
	{ "QDockWidget::DockWidgetFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//30
	{ "QEvent*", 3, Smoke::t_class | Smoke::tf_ptr },	//31
	{ "QEventLoop::ProcessEventsFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//32
	{ "QEventLoop::ProcessEventsFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//33
	{ "QFile::Permissions", 0, Smoke::t_uint | Smoke::tf_stack },	//34
	{ "QFile::Permissions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//35
	{ "QFileDialog::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//36
	{ "QFileDialog::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//37
	{ "QFontComboBox::FontFilters", 0, Smoke::t_uint | Smoke::tf_stack },	//38
	{ "QFontComboBox::FontFilters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//39
	{ "QGL::FormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//40
	{ "QGL::FormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//41
	{ "QGLFormat::OpenGLVersionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//42
	{ "QGLFormat::OpenGLVersionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//43
	{ "QGraphicsItem::GraphicsItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//44
	{ "QGraphicsItem::GraphicsItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//45
	{ "QGraphicsScene::SceneLayers", 0, Smoke::t_uint | Smoke::tf_stack },	//46
	{ "QGraphicsScene::SceneLayers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//47
	{ "QGraphicsView::CacheMode", 0, Smoke::t_uint | Smoke::tf_stack },	//48
	{ "QGraphicsView::CacheMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//49
	{ "QGraphicsView::OptimizationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//50
	{ "QGraphicsView::OptimizationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//51
	{ "QIODevice::OpenMode", 0, Smoke::t_uint | Smoke::tf_stack },	//52
	{ "QIODevice::OpenMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//53
	{ "QItemSelectionModel::SelectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//54
	{ "QItemSelectionModel::SelectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//55
	{ "QLibrary::LoadHints", 0, Smoke::t_uint | Smoke::tf_stack },	//56
	{ "QLibrary::LoadHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//57
	{ "QLocale::NumberOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//58
	{ "QLocale::NumberOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//59
	{ "QMainWindow::DockOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//60
	{ "QMainWindow::DockOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//61
	{ "QMdiArea::AreaOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//62
	{ "QMdiArea::AreaOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//63
	{ "QMdiSubWindow::SubWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//64
	{ "QMdiSubWindow::SubWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//65
	{ "QMessageBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//66
	{ "QMessageBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//67
	{ "QMetaObject::Call", 5, Smoke::t_enum | Smoke::tf_stack },	//68
	{ "QNetworkInterface::InterfaceFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//69
	{ "QNetworkInterface::InterfaceFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//70
	{ "QObject*", 6, Smoke::t_class | Smoke::tf_ptr },	//71
	{ "QPageSetupDialog::PageSetupDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//72
	{ "QPageSetupDialog::PageSetupDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//73
	{ "QPaintEngine::DirtyFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//74
	{ "QPaintEngine::DirtyFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//75
	{ "QPaintEngine::PaintEngineFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//76
	{ "QPaintEngine::PaintEngineFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//77
	{ "QPainter::RenderHints", 0, Smoke::t_uint | Smoke::tf_stack },	//78
	{ "QPainter::RenderHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//79
	{ "QRegExp", 7, Smoke::t_class | Smoke::tf_stack },	//80
	{ "QScriptClass*", 8, Smoke::t_class | Smoke::tf_ptr },	//81
	{ "QScriptClass::Extension", 8, Smoke::t_enum | Smoke::tf_stack },	//82
	{ "QScriptClass::QueryFlag", 8, Smoke::t_enum | Smoke::tf_stack },	//83
	{ "QScriptClass::QueryFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//84
	{ "QScriptClass::QueryFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//85
	{ "QScriptClassPrivate&", 0, Smoke::t_voidp | Smoke::tf_ref },	//86
	{ "QScriptClassPropertyIterator*", 9, Smoke::t_class | Smoke::tf_ptr },	//87
	{ "QScriptClassPropertyIteratorPrivate&", 0, Smoke::t_voidp | Smoke::tf_ref },	//88
	{ "QScriptContext*", 10, Smoke::t_class | Smoke::tf_ptr },	//89
	{ "QScriptContext::Error", 10, Smoke::t_enum | Smoke::tf_stack },	//90
	{ "QScriptContext::ExecutionState", 10, Smoke::t_enum | Smoke::tf_stack },	//91
	{ "QScriptContextInfo&", 11, Smoke::t_class | Smoke::tf_ref },	//92
	{ "QScriptContextInfo*", 11, Smoke::t_class | Smoke::tf_ptr },	//93
	{ "QScriptContextInfo::FunctionType", 11, Smoke::t_enum | Smoke::tf_stack },	//94
	{ "QScriptEngine*", 12, Smoke::t_class | Smoke::tf_ptr },	//95
	{ "QScriptEngine::QObjectWrapOption", 12, Smoke::t_enum | Smoke::tf_stack },	//96
	{ "QScriptEngine::QObjectWrapOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//97
	{ "QScriptEngine::QObjectWrapOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//98
	{ "QScriptEngine::ValueOwnership", 12, Smoke::t_enum | Smoke::tf_stack },	//99
	{ "QScriptEngineAgent*", 13, Smoke::t_class | Smoke::tf_ptr },	//100
	{ "QScriptEngineAgent::Extension", 13, Smoke::t_enum | Smoke::tf_stack },	//101
	{ "QScriptExtensionPlugin*", 15, Smoke::t_class | Smoke::tf_ptr },	//102
	{ "QScriptString", 16, Smoke::t_class | Smoke::tf_stack },	//103
	{ "QScriptString&", 16, Smoke::t_class | Smoke::tf_ref },	//104
	{ "QScriptString*", 16, Smoke::t_class | Smoke::tf_ptr },	//105
	{ "QScriptValue", 17, Smoke::t_class | Smoke::tf_stack },	//106
	{ "QScriptValue&", 17, Smoke::t_class | Smoke::tf_ref },	//107
	{ "QScriptValue*", 17, Smoke::t_class | Smoke::tf_ptr },	//108
	{ "QScriptValue::PropertyFlag", 17, Smoke::t_enum | Smoke::tf_stack },	//109
	{ "QScriptValue::PropertyFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//110
	{ "QScriptValue::PropertyFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//111
	{ "QScriptValue::ResolveFlag", 17, Smoke::t_enum | Smoke::tf_stack },	//112
	{ "QScriptValue::ResolveFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//113
	{ "QScriptValue::ResolveFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//114
	{ "QScriptValue::SpecialValue", 17, Smoke::t_enum | Smoke::tf_stack },	//115
	{ "QScriptValueIterator&", 18, Smoke::t_class | Smoke::tf_ref },	//116
	{ "QScriptValueIterator*", 18, Smoke::t_class | Smoke::tf_ptr },	//117
	{ "QScriptable*", 19, Smoke::t_class | Smoke::tf_ptr },	//118
	{ "QSizePolicy::ControlTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//119
	{ "QSizePolicy::ControlTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//120
	{ "QSql::ParamType", 0, Smoke::t_uint | Smoke::tf_stack },	//121
	{ "QSql::ParamType&", 0, Smoke::t_voidp | Smoke::tf_ref },	//122
	{ "QString", 0, Smoke::t_voidp | Smoke::tf_stack },	//123
	{ "QString::SectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//124
	{ "QString::SectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//125
	{ "QStringList", 0, Smoke::t_voidp | Smoke::tf_stack },	//126
	{ "QStyle::State", 0, Smoke::t_uint | Smoke::tf_stack },	//127
	{ "QStyle::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//128
	{ "QStyle::SubControls", 0, Smoke::t_uint | Smoke::tf_stack },	//129
	{ "QStyle::SubControls&", 0, Smoke::t_voidp | Smoke::tf_ref },	//130
	{ "QStyleOptionButton::ButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//131
	{ "QStyleOptionButton::ButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//132
	{ "QStyleOptionFrameV2::FrameFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//133
	{ "QStyleOptionFrameV2::FrameFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//134
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//135
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//136
	{ "QStyleOptionTab::CornerWidgets", 0, Smoke::t_uint | Smoke::tf_stack },	//137
	{ "QStyleOptionTab::CornerWidgets&", 0, Smoke::t_voidp | Smoke::tf_ref },	//138
	{ "QStyleOptionToolBar::ToolBarFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//139
	{ "QStyleOptionToolBar::ToolBarFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//140
	{ "QStyleOptionToolButton::ToolButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//141
	{ "QStyleOptionToolButton::ToolButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//142
	{ "QStyleOptionViewItemV2::ViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//143
	{ "QStyleOptionViewItemV2::ViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//144
	{ "QTextBoundaryFinder::BoundaryReasons", 0, Smoke::t_uint | Smoke::tf_stack },	//145
	{ "QTextBoundaryFinder::BoundaryReasons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//146
	{ "QTextCodec::ConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//147
	{ "QTextCodec::ConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//148
	{ "QTextDocument::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//149
	{ "QTextDocument::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//150
	{ "QTextEdit::AutoFormatting", 0, Smoke::t_uint | Smoke::tf_stack },	//151
	{ "QTextEdit::AutoFormatting&", 0, Smoke::t_voidp | Smoke::tf_ref },	//152
	{ "QTextFormat::PageBreakFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//153
	{ "QTextFormat::PageBreakFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//154
	{ "QTextItem::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//155
	{ "QTextItem::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//156
	{ "QTextOption::Flags", 0, Smoke::t_uint | Smoke::tf_stack },	//157
	{ "QTextOption::Flags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//158
	{ "QTextStream::NumberFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//159
	{ "QTextStream::NumberFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//160
	{ "QTimerEvent*", 20, Smoke::t_class | Smoke::tf_ptr },	//161
	{ "QTreeWidgetItemIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//162
	{ "QTreeWidgetItemIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//163
	{ "QUdpSocket::BindMode", 0, Smoke::t_uint | Smoke::tf_stack },	//164
	{ "QUdpSocket::BindMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//165
	{ "QUrl::FormattingOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//166
	{ "QUrl::FormattingOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//167
	{ "QVariant", 21, Smoke::t_class | Smoke::tf_stack },	//168
	{ "QVariant::Type", 21, Smoke::t_enum | Smoke::tf_stack },	//169
	{ "QWidget::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//170
	{ "QWidget::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//171
	{ "QWizard::WizardOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//172
	{ "QWizard::WizardOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//173
	{ "Qt::Alignment", 0, Smoke::t_uint | Smoke::tf_stack },	//174
	{ "Qt::Alignment&", 0, Smoke::t_voidp | Smoke::tf_ref },	//175
	{ "Qt::DockWidgetAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//176
	{ "Qt::DockWidgetAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//177
	{ "Qt::DropActions", 0, Smoke::t_uint | Smoke::tf_stack },	//178
	{ "Qt::DropActions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//179
	{ "Qt::ImageConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//180
	{ "Qt::ImageConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//181
	{ "Qt::ItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//182
	{ "Qt::ItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//183
	{ "Qt::KeyboardModifiers", 0, Smoke::t_uint | Smoke::tf_stack },	//184
	{ "Qt::KeyboardModifiers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//185
	{ "Qt::MatchFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//186
	{ "Qt::MatchFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//187
	{ "Qt::MouseButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//188
	{ "Qt::MouseButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//189
	{ "Qt::Orientations", 0, Smoke::t_uint | Smoke::tf_stack },	//190
	{ "Qt::Orientations&", 0, Smoke::t_voidp | Smoke::tf_ref },	//191
	{ "Qt::TextInteractionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//192
	{ "Qt::TextInteractionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//193
	{ "Qt::ToolBarAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//194
	{ "Qt::ToolBarAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//195
	{ "Qt::WindowFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//196
	{ "Qt::WindowFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//197
	{ "Qt::WindowStates", 0, Smoke::t_uint | Smoke::tf_stack },	//198
	{ "Qt::WindowStates&", 0, Smoke::t_voidp | Smoke::tf_ref },	//199
	{ "bool", 0, Smoke::t_bool | Smoke::tf_stack },	//200
	{ "const Handler*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//201
	{ "const QDateTime&", 2, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//202
	{ "const QList<QScriptValue>&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//203
	{ "const QMetaObject", 5, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//204
	{ "const QMetaObject*", 5, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//205
	{ "const QRegExp&", 7, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//206
	{ "const QScriptContext*", 10, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//207
	{ "const QScriptContextInfo&", 11, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//208
	{ "const QScriptEngine::QObjectWrapOptions&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//209
	{ "const QScriptString&", 16, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//210
	{ "const QScriptValue&", 17, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//211
	{ "const QScriptValue::PropertyFlags&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//212
	{ "const QScriptValue::ResolveFlags&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//213
	{ "const QString&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//214
	{ "const QVariant&", 21, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//215
	{ "const char*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//216
	{ "double", 0, Smoke::t_double | Smoke::tf_stack },	//217
	{ "int", 0, Smoke::t_int | Smoke::tf_stack },	//218
	{ "qint64", 0, Smoke::t_long | Smoke::tf_stack },	//219
	{ "uint", 0, Smoke::t_uint | Smoke::tf_stack },	//220
	{ "uint*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//221
	{ "unsigned int", 0, Smoke::t_uint | Smoke::tf_stack },	//222
	{ "unsigned short", 0, Smoke::t_ushort | Smoke::tf_stack },	//223
	{ "void*", 0, Smoke::t_voidp | Smoke::tf_stack },	//224
	{ "void**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//225
};

static Smoke::Index qtscript_argumentList[] = {
	0,	//0  (void)
	1, 0,	//1  FunctionSignature  
	1, 211, 0,	//3  FunctionSignature, const QScriptValue&  
	1, 211, 218, 0,	//6  FunctionSignature, const QScriptValue&, int  
	1, 218, 0,	//10  FunctionSignature, int  
	100, 0,	//13  QScriptEngineAgent*  
	101, 0,	//15  QScriptEngineAgent::Extension  
	101, 215, 0,	//17  QScriptEngineAgent::Extension, const QVariant&  
	107, 0,	//20  QScriptValue&  
	107, 210, 220, 211, 0,	//22  QScriptValue&, const QScriptString&, uint, const QScriptValue&  
	15, 0,	//27  QChildEvent*  
	161, 0,	//29  QTimerEvent*  
	2, 224, 0,	//31  FunctionWithArgSignature, void*  
	202, 0,	//34  const QDateTime&  
	203, 0,	//36  const QList<QScriptValue>&  
	205, 0,	//38  const QMetaObject*  
	205, 211, 0,	//40  const QMetaObject*, const QScriptValue&  
	206, 0,	//43  const QRegExp&  
	207, 0,	//45  const QScriptContext*  
	208, 0,	//47  const QScriptContextInfo&  
	210, 0,	//49  const QScriptString&  
	210, 211, 0,	//51  const QScriptString&, const QScriptValue&  
	210, 211, 212, 0,	//54  const QScriptString&, const QScriptValue&, const QScriptValue::PropertyFlags&  
	210, 213, 0,	//58  const QScriptString&, const QScriptValue::ResolveFlags&  
	211, 0,	//61  const QScriptValue&  
	211, 203, 0,	//63  const QScriptValue&, const QList<QScriptValue>&  
	211, 210, 220, 0,	//66  const QScriptValue&, const QScriptString&, uint  
	211, 210, 84, 221, 0,	//70  const QScriptValue&, const QScriptString&, QScriptClass::QueryFlags, uint*  
	211, 211, 0,	//75  const QScriptValue&, const QScriptValue&  
	211, 215, 0,	//78  const QScriptValue&, const QVariant&  
	211, 71, 0,	//81  const QScriptValue&, QObject*  
	211, 71, 99, 0,	//84  const QScriptValue&, QObject*, QScriptEngine::ValueOwnership  
	211, 71, 99, 209, 0,	//88  const QScriptValue&, QObject*, QScriptEngine::ValueOwnership, const QScriptEngine::QObjectWrapOptions&  
	211, 88, 0,	//93  const QScriptValue&, QScriptClassPropertyIteratorPrivate&  
	214, 0,	//96  const QString&  
	214, 211, 0,	//98  const QString&, const QScriptValue&  
	214, 211, 212, 0,	//101  const QString&, const QScriptValue&, const QScriptValue::PropertyFlags&  
	214, 213, 0,	//105  const QString&, const QScriptValue::ResolveFlags&  
	214, 214, 0,	//108  const QString&, const QString&  
	214, 214, 218, 0,	//111  const QString&, const QString&, int  
	214, 95, 0,	//115  const QString&, QScriptEngine*  
	215, 0,	//118  const QVariant&  
	216, 0,	//120  const char*  
	216, 216, 0,	//122  const char*, const char*  
	217, 0,	//125  double  
	218, 0,	//127  int  
	218, 211, 0,	//129  int, const QScriptValue&  
	219, 0,	//132  qint64  
	219, 211, 0,	//134  qint64, const QScriptValue&  
	219, 211, 200, 0,	//137  qint64, const QScriptValue&, bool  
	219, 214, 214, 218, 0,	//141  qint64, const QString&, const QString&, int  
	219, 218, 218, 0,	//146  qint64, int, int  
	220, 0,	//150  uint  
	222, 0,	//152  unsigned int  
	222, 211, 0,	//154  unsigned int, const QScriptValue&  
	222, 211, 212, 0,	//157  unsigned int, const QScriptValue&, const QScriptValue::PropertyFlags&  
	222, 213, 0,	//161  unsigned int, const QScriptValue::ResolveFlags&  
	31, 0,	//164  QEvent*  
	68, 218, 225, 0,	//166  QMetaObject::Call, int, void**  
	71, 0,	//170  QObject*  
	71, 31, 0,	//172  QObject*, QEvent*  
	71, 99, 0,	//175  QObject*, QScriptEngine::ValueOwnership  
	71, 99, 209, 0,	//178  QObject*, QScriptEngine::ValueOwnership, const QScriptEngine::QObjectWrapOptions&  
	81, 0,	//182  QScriptClass*  
	81, 211, 0,	//184  QScriptClass*, const QScriptValue&  
	82, 0,	//187  QScriptClass::Extension  
	82, 215, 0,	//189  QScriptClass::Extension, const QVariant&  
	90, 214, 0,	//192  QScriptContext::Error, const QString&  
	95, 0,	//195  QScriptEngine*  
	95, 115, 0,	//197  QScriptEngine*, QScriptValue::SpecialValue  
	95, 200, 0,	//200  QScriptEngine*, bool  
	95, 214, 0,	//203  QScriptEngine*, const QString&  
	95, 216, 0,	//206  QScriptEngine*, const char*  
	95, 217, 0,	//209  QScriptEngine*, double  
	95, 218, 0,	//212  QScriptEngine*, int  
	95, 220, 0,	//215  QScriptEngine*, uint  
	95, 86, 0,	//218  QScriptEngine*, QScriptClassPrivate&  
};

// Raw list of all methods, using munged names
static const char *qtscript_methodNames[] = {
    "",	//0
    "AutoCreateDynamicProperties",	//1
    "AutoOwnership",	//2
    "Callable",	//3
    "ExceptionState",	//4
    "ExcludeChildObjects",	//5
    "ExcludeSuperClassMethods",	//6
    "ExcludeSuperClassProperties",	//7
    "HandlesReadAccess",	//8
    "HandlesWriteAccess",	//9
    "KeepExistingFlags",	//10
    "NativeFunction",	//11
    "NormalState",	//12
    "NullValue",	//13
    "PreferExistingWrapperObject",	//14
    "PropertyGetter",	//15
    "PropertySetter",	//16
    "QObjectMember",	//17
    "QScriptClass",	//18
    "QScriptClass#",	//19
    "QScriptClass#?",	//20
    "QScriptClassPropertyIterator",	//21
    "QScriptClassPropertyIterator#",	//22
    "QScriptClassPropertyIterator#?",	//23
    "QScriptContextInfo",	//24
    "QScriptContextInfo#",	//25
    "QScriptEngine",	//26
    "QScriptEngine#",	//27
    "QScriptEngineAgent",	//28
    "QScriptEngineAgent#",	//29
    "QScriptExtensionPlugin",	//30
    "QScriptExtensionPlugin#",	//31
    "QScriptString",	//32
    "QScriptString#",	//33
    "QScriptValue",	//34
    "QScriptValue#",	//35
    "QScriptValue#$",	//36
    "QScriptValueIterator",	//37
    "QScriptValueIterator#",	//38
    "QScriptable",	//39
    "QtFunction",	//40
    "QtOwnership",	//41
    "QtPropertyFunction",	//42
    "RangeError",	//43
    "ReadOnly",	//44
    "ReferenceError",	//45
    "ResolveFull",	//46
    "ResolveLocal",	//47
    "ResolvePrototype",	//48
    "ResolveScope",	//49
    "ScriptFunction",	//50
    "ScriptOwnership",	//51
    "SkipInEnumeration",	//52
    "SkipMethodsInEnumeration",	//53
    "SyntaxError",	//54
    "TypeError",	//55
    "URIError",	//56
    "UndefinedValue",	//57
    "Undeletable",	//58
    "UnknownError",	//59
    "UserRange",	//60
    "abortEvaluation",	//61
    "abortEvaluation#",	//62
    "activationObject",	//63
    "agent",	//64
    "argument",	//65
    "argument$",	//66
    "argumentCount",	//67
    "argumentsObject",	//68
    "availableExtensions",	//69
    "backtrace",	//70
    "call",	//71
    "call#",	//72
    "call##",	//73
    "call#?",	//74
    "callee",	//75
    "canEvaluate",	//76
    "canEvaluate$",	//77
    "childEvent",	//78
    "childEvent#",	//79
    "clearExceptions",	//80
    "collectGarbage",	//81
    "columnNumber",	//82
    "connectNotify",	//83
    "connectNotify$",	//84
    "construct",	//85
    "construct#",	//86
    "construct?",	//87
    "context",	//88
    "contextPop",	//89
    "contextPush",	//90
    "currentContext",	//91
    "customEvent",	//92
    "customEvent#",	//93
    "data",	//94
    "defaultPrototype",	//95
    "defaultPrototype$",	//96
    "disconnectNotify",	//97
    "disconnectNotify$",	//98
    "engine",	//99
    "equals",	//100
    "equals#",	//101
    "evaluate",	//102
    "evaluate$",	//103
    "evaluate$$",	//104
    "evaluate$$$",	//105
    "event",	//106
    "event#",	//107
    "eventFilter",	//108
    "eventFilter##",	//109
    "exceptionCatch",	//110
    "exceptionCatch$#",	//111
    "exceptionThrow",	//112
    "exceptionThrow$#$",	//113
    "extension",	//114
    "extension$",	//115
    "extension$#",	//116
    "fileName",	//117
    "flags",	//118
    "functionEndLineNumber",	//119
    "functionEntry",	//120
    "functionEntry$",	//121
    "functionExit",	//122
    "functionExit$#",	//123
    "functionMetaIndex",	//124
    "functionName",	//125
    "functionParameterNames",	//126
    "functionStartLineNumber",	//127
    "functionType",	//128
    "globalObject",	//129
    "hasNext",	//130
    "hasPrevious",	//131
    "hasUncaughtException",	//132
    "id",	//133
    "importExtension",	//134
    "importExtension$",	//135
    "importedExtensions",	//136
    "initialize",	//137
    "initialize$#",	//138
    "instanceOf",	//139
    "instanceOf#",	//140
    "isArray",	//141
    "isBoolean",	//142
    "isCalledAsConstructor",	//143
    "isDate",	//144
    "isError",	//145
    "isEvaluating",	//146
    "isFunction",	//147
    "isNull",	//148
    "isNumber",	//149
    "isObject",	//150
    "isQMetaObject",	//151
    "isQObject",	//152
    "isRegExp",	//153
    "isString",	//154
    "isUndefined",	//155
    "isValid",	//156
    "isVariant",	//157
    "keys",	//158
    "lessThan",	//159
    "lessThan#",	//160
    "lineNumber",	//161
    "metaObject",	//162
    "name",	//163
    "newActivationObject",	//164
    "newArray",	//165
    "newArray$",	//166
    "newDate",	//167
    "newDate#",	//168
    "newDate$",	//169
    "newFunction",	//170
    "newFunction?",	//171
    "newFunction?#",	//172
    "newFunction?#$",	//173
    "newFunction?$",	//174
    "newIterator",	//175
    "newIterator#",	//176
    "newObject",	//177
    "newObject#",	//178
    "newObject##",	//179
    "newQMetaObject",	//180
    "newQMetaObject#",	//181
    "newQMetaObject##",	//182
    "newQObject",	//183
    "newQObject#",	//184
    "newQObject##",	//185
    "newQObject##$",	//186
    "newQObject##$$",	//187
    "newQObject#$",	//188
    "newQObject#$$",	//189
    "newRegExp",	//190
    "newRegExp#",	//191
    "newRegExp$$",	//192
    "newVariant",	//193
    "newVariant#",	//194
    "newVariant##",	//195
    "next",	//196
    "nullValue",	//197
    "object",	//198
    "objectById",	//199
    "objectById$",	//200
    "objectId",	//201
    "operator QString",	//202
    "operator!=",	//203
    "operator!=#",	//204
    "operator=",	//205
    "operator=#",	//206
    "operator==",	//207
    "operator==#",	//208
    "parentContext",	//209
    "popContext",	//210
    "positionChange",	//211
    "positionChange$$$",	//212
    "previous",	//213
    "processEventsInterval",	//214
    "property",	//215
    "property#",	//216
    "property##$",	//217
    "property#$",	//218
    "property$",	//219
    "property$$",	//220
    "propertyFlags",	//221
    "propertyFlags#",	//222
    "propertyFlags##$",	//223
    "propertyFlags#$",	//224
    "propertyFlags$",	//225
    "propertyFlags$$",	//226
    "prototype",	//227
    "pushContext",	//228
    "qt_metacall",	//229
    "qt_metacall$$?",	//230
    "queryProperty",	//231
    "queryProperty##$$",	//232
    "remove",	//233
    "returnValue",	//234
    "scope",	//235
    "scriptClass",	//236
    "scriptId",	//237
    "scriptLoad",	//238
    "scriptLoad$$$$",	//239
    "scriptName",	//240
    "scriptUnload",	//241
    "scriptUnload$",	//242
    "setActivationObject",	//243
    "setActivationObject#",	//244
    "setAgent",	//245
    "setAgent#",	//246
    "setData",	//247
    "setData#",	//248
    "setDefaultPrototype",	//249
    "setDefaultPrototype$#",	//250
    "setProcessEventsInterval",	//251
    "setProcessEventsInterval$",	//252
    "setProperty",	//253
    "setProperty##",	//254
    "setProperty##$",	//255
    "setProperty##$#",	//256
    "setProperty$#",	//257
    "setProperty$#$",	//258
    "setPrototype",	//259
    "setPrototype#",	//260
    "setReturnValue",	//261
    "setReturnValue#",	//262
    "setScope",	//263
    "setScope#",	//264
    "setScriptClass",	//265
    "setScriptClass#",	//266
    "setThisObject",	//267
    "setThisObject#",	//268
    "setValue",	//269
    "setValue#",	//270
    "setupPackage",	//271
    "setupPackage$#",	//272
    "signalHandlerException",	//273
    "signalHandlerException#",	//274
    "state",	//275
    "staticMetaObject",	//276
    "strictlyEquals",	//277
    "strictlyEquals#",	//278
    "supportsExtension",	//279
    "supportsExtension$",	//280
    "thisObject",	//281
    "throwError",	//282
    "throwError$",	//283
    "throwError$$",	//284
    "throwValue",	//285
    "throwValue#",	//286
    "timerEvent",	//287
    "timerEvent#",	//288
    "toBack",	//289
    "toBoolean",	//290
    "toDateTime",	//291
    "toFront",	//292
    "toInt32",	//293
    "toInteger",	//294
    "toNumber",	//295
    "toObject",	//296
    "toQMetaObject",	//297
    "toQObject",	//298
    "toRegExp",	//299
    "toString",	//300
    "toStringHandle",	//301
    "toStringHandle$",	//302
    "toUInt16",	//303
    "toUInt32",	//304
    "toVariant",	//305
    "tr",	//306
    "tr$",	//307
    "tr$$",	//308
    "uncaughtException",	//309
    "uncaughtExceptionBacktrace",	//310
    "uncaughtExceptionLineNumber",	//311
    "undefinedValue",	//312
    "value",	//313
    "~QScriptClass",	//314
    "~QScriptClassPropertyIterator",	//315
    "~QScriptContext",	//316
    "~QScriptContextInfo",	//317
    "~QScriptEngine",	//318
    "~QScriptEngineAgent",	//319
    "~QScriptExtensionPlugin",	//320
    "~QScriptString",	//321
    "~QScriptValue",	//322
    "~QScriptValueIterator",	//323
    "~QScriptable",	//324
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method qtscript_methods[] = {
	{4, 158, 0, 0, Smoke::mf_const, 126, 1},	//0 QFactoryInterface::keys() const [pure virtual]
	{6, 162, 0, 0, Smoke::mf_const, 205, 2},	//1 QObject::metaObject() const
	{6, 229, 166, 3, 0, 218, 3},	//2 QObject::qt_metacall(QMetaObject::Call, int, void**)
	{6, 106, 164, 1, 0, 200, 6},	//3 QObject::event(QEvent*)
	{6, 108, 172, 2, 0, 200, 7},	//4 QObject::eventFilter(QObject*, QEvent*)
	{6, 287, 29, 1, Smoke::mf_protected, 0, 49},	//5 QObject::timerEvent(QTimerEvent*)
	{6, 78, 27, 1, Smoke::mf_protected, 0, 50},	//6 QObject::childEvent(QChildEvent*)
	{6, 92, 164, 1, Smoke::mf_protected, 0, 51},	//7 QObject::customEvent(QEvent*)
	{6, 83, 120, 1, Smoke::mf_protected, 0, 52},	//8 QObject::connectNotify(const char*)
	{6, 97, 120, 1, Smoke::mf_protected, 0, 53},	//9 QObject::disconnectNotify(const char*)
	{8, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 1},	//10 QScriptClass::HandlesReadAccess (enum)
	{8, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 2},	//11 QScriptClass::HandlesWriteAccess (enum)
	{8, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 3},	//12 QScriptClass::Callable (enum)
	{8, 18, 195, 1, Smoke::mf_ctor, 81, 4},	//13 QScriptClass::QScriptClass(QScriptEngine*)
	{8, 314, 0, 0, Smoke::mf_dtor, 0, 17},	//14 QScriptClass::~QScriptClass()
	{8, 99, 0, 0, Smoke::mf_const, 95, 5},	//15 QScriptClass::engine() const
	{8, 231, 70, 4, 0, 84, 6},	//16 QScriptClass::queryProperty(const QScriptValue&, const QScriptString&, QScriptClass::QueryFlags, uint*)
	{8, 215, 66, 3, 0, 106, 7},	//17 QScriptClass::property(const QScriptValue&, const QScriptString&, uint)
	{8, 253, 22, 4, 0, 0, 8},	//18 QScriptClass::setProperty(QScriptValue&, const QScriptString&, uint, const QScriptValue&)
	{8, 221, 66, 3, 0, 110, 9},	//19 QScriptClass::propertyFlags(const QScriptValue&, const QScriptString&, uint)
	{8, 175, 61, 1, 0, 87, 10},	//20 QScriptClass::newIterator(const QScriptValue&)
	{8, 227, 0, 0, Smoke::mf_const, 106, 11},	//21 QScriptClass::prototype() const
	{8, 163, 0, 0, Smoke::mf_const, 123, 12},	//22 QScriptClass::name() const
	{8, 279, 187, 1, Smoke::mf_const, 200, 13},	//23 QScriptClass::supportsExtension(QScriptClass::Extension) const
	{8, 114, 189, 2, 0, 168, 14},	//24 QScriptClass::extension(QScriptClass::Extension, const QVariant&)
	{8, 114, 187, 1, 0, 168, 15},	//25 QScriptClass::extension(QScriptClass::Extension)
	{8, 18, 218, 2, Smoke::mf_ctor|Smoke::mf_protected, 81, 16},	//26 QScriptClass::QScriptClass(QScriptEngine*, QScriptClassPrivate&)
	{9, 315, 0, 0, Smoke::mf_dtor, 0, 13},	//27 QScriptClassPropertyIterator::~QScriptClassPropertyIterator()
	{9, 198, 0, 0, Smoke::mf_const, 106, 1},	//28 QScriptClassPropertyIterator::object() const
	{9, 130, 0, 0, Smoke::mf_const, 200, 2},	//29 QScriptClassPropertyIterator::hasNext() const [pure virtual]
	{9, 196, 0, 0, 0, 0, 3},	//30 QScriptClassPropertyIterator::next() [pure virtual]
	{9, 131, 0, 0, Smoke::mf_const, 200, 4},	//31 QScriptClassPropertyIterator::hasPrevious() const [pure virtual]
	{9, 213, 0, 0, 0, 0, 5},	//32 QScriptClassPropertyIterator::previous() [pure virtual]
	{9, 292, 0, 0, 0, 0, 6},	//33 QScriptClassPropertyIterator::toFront() [pure virtual]
	{9, 289, 0, 0, 0, 0, 7},	//34 QScriptClassPropertyIterator::toBack() [pure virtual]
	{9, 163, 0, 0, Smoke::mf_const, 103, 8},	//35 QScriptClassPropertyIterator::name() const [pure virtual]
	{9, 133, 0, 0, Smoke::mf_const, 220, 9},	//36 QScriptClassPropertyIterator::id() const
	{9, 118, 0, 0, Smoke::mf_const, 110, 10},	//37 QScriptClassPropertyIterator::flags() const
	{9, 21, 61, 1, Smoke::mf_ctor|Smoke::mf_protected, 87, 11},	//38 QScriptClassPropertyIterator::QScriptClassPropertyIterator(const QScriptValue&)
	{9, 21, 93, 2, Smoke::mf_ctor|Smoke::mf_protected, 87, 12},	//39 QScriptClassPropertyIterator::QScriptClassPropertyIterator(const QScriptValue&, QScriptClassPropertyIteratorPrivate&)
	{10, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 1},	//40 QScriptContext::NormalState (enum)
	{10, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 2},	//41 QScriptContext::ExceptionState (enum)
	{10, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 3},	//42 QScriptContext::UnknownError (enum)
	{10, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 4},	//43 QScriptContext::ReferenceError (enum)
	{10, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 5},	//44 QScriptContext::SyntaxError (enum)
	{10, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 6},	//45 QScriptContext::TypeError (enum)
	{10, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 7},	//46 QScriptContext::RangeError (enum)
	{10, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 8},	//47 QScriptContext::URIError (enum)
	{10, 209, 0, 0, Smoke::mf_const, 89, 9},	//48 QScriptContext::parentContext() const
	{10, 99, 0, 0, Smoke::mf_const, 95, 10},	//49 QScriptContext::engine() const
	{10, 275, 0, 0, Smoke::mf_const, 91, 11},	//50 QScriptContext::state() const
	{10, 75, 0, 0, Smoke::mf_const, 106, 12},	//51 QScriptContext::callee() const
	{10, 67, 0, 0, Smoke::mf_const, 218, 13},	//52 QScriptContext::argumentCount() const
	{10, 65, 127, 1, Smoke::mf_const, 106, 14},	//53 QScriptContext::argument(int) const
	{10, 68, 0, 0, Smoke::mf_const, 106, 15},	//54 QScriptContext::argumentsObject() const
	{10, 234, 0, 0, Smoke::mf_const, 106, 16},	//55 QScriptContext::returnValue() const
	{10, 261, 61, 1, 0, 0, 17},	//56 QScriptContext::setReturnValue(const QScriptValue&)
	{10, 63, 0, 0, Smoke::mf_const, 106, 18},	//57 QScriptContext::activationObject() const
	{10, 243, 61, 1, 0, 0, 19},	//58 QScriptContext::setActivationObject(const QScriptValue&)
	{10, 281, 0, 0, Smoke::mf_const, 106, 20},	//59 QScriptContext::thisObject() const
	{10, 267, 61, 1, 0, 0, 21},	//60 QScriptContext::setThisObject(const QScriptValue&)
	{10, 143, 0, 0, Smoke::mf_const, 200, 22},	//61 QScriptContext::isCalledAsConstructor() const
	{10, 285, 61, 1, 0, 106, 23},	//62 QScriptContext::throwValue(const QScriptValue&)
	{10, 282, 192, 2, 0, 106, 24},	//63 QScriptContext::throwError(QScriptContext::Error, const QString&)
	{10, 282, 96, 1, 0, 106, 25},	//64 QScriptContext::throwError(const QString&)
	{10, 70, 0, 0, Smoke::mf_const, 126, 26},	//65 QScriptContext::backtrace() const
	{10, 300, 0, 0, Smoke::mf_const, 123, 27},	//66 QScriptContext::toString() const
	{11, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 1},	//67 QScriptContextInfo::ScriptFunction (enum)
	{11, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 2},	//68 QScriptContextInfo::QtFunction (enum)
	{11, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 3},	//69 QScriptContextInfo::QtPropertyFunction (enum)
	{11, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 4},	//70 QScriptContextInfo::NativeFunction (enum)
	{11, 24, 45, 1, Smoke::mf_ctor, 93, 5},	//71 QScriptContextInfo::QScriptContextInfo(const QScriptContext*)
	{11, 24, 47, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 93, 6},	//72 QScriptContextInfo::QScriptContextInfo(const QScriptContextInfo&)
	{11, 24, 0, 0, Smoke::mf_ctor, 93, 7},	//73 QScriptContextInfo::QScriptContextInfo()
	{11, 317, 0, 0, Smoke::mf_dtor, 0, 22},	//74 QScriptContextInfo::~QScriptContextInfo()
	{11, 205, 47, 1, 0, 92, 8},	//75 QScriptContextInfo::operator=(const QScriptContextInfo&)
	{11, 148, 0, 0, Smoke::mf_const, 200, 9},	//76 QScriptContextInfo::isNull() const
	{11, 237, 0, 0, Smoke::mf_const, 219, 10},	//77 QScriptContextInfo::scriptId() const
	{11, 117, 0, 0, Smoke::mf_const, 123, 11},	//78 QScriptContextInfo::fileName() const
	{11, 161, 0, 0, Smoke::mf_const, 218, 12},	//79 QScriptContextInfo::lineNumber() const
	{11, 82, 0, 0, Smoke::mf_const, 218, 13},	//80 QScriptContextInfo::columnNumber() const
	{11, 125, 0, 0, Smoke::mf_const, 123, 14},	//81 QScriptContextInfo::functionName() const
	{11, 128, 0, 0, Smoke::mf_const, 94, 15},	//82 QScriptContextInfo::functionType() const
	{11, 126, 0, 0, Smoke::mf_const, 126, 16},	//83 QScriptContextInfo::functionParameterNames() const
	{11, 127, 0, 0, Smoke::mf_const, 218, 17},	//84 QScriptContextInfo::functionStartLineNumber() const
	{11, 119, 0, 0, Smoke::mf_const, 218, 18},	//85 QScriptContextInfo::functionEndLineNumber() const
	{11, 124, 0, 0, Smoke::mf_const, 218, 19},	//86 QScriptContextInfo::functionMetaIndex() const
	{11, 207, 47, 1, Smoke::mf_const, 200, 20},	//87 QScriptContextInfo::operator==(const QScriptContextInfo&) const
	{11, 203, 47, 1, Smoke::mf_const, 200, 21},	//88 QScriptContextInfo::operator!=(const QScriptContextInfo&) const
	{12, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 1},	//89 QScriptEngine::QtOwnership (enum)
	{12, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 2},	//90 QScriptEngine::ScriptOwnership (enum)
	{12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 3},	//91 QScriptEngine::AutoOwnership (enum)
	{12, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 4},	//92 QScriptEngine::ExcludeChildObjects (enum)
	{12, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 5},	//93 QScriptEngine::ExcludeSuperClassMethods (enum)
	{12, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 6},	//94 QScriptEngine::ExcludeSuperClassProperties (enum)
	{12, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 7},	//95 QScriptEngine::SkipMethodsInEnumeration (enum)
	{12, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 8},	//96 QScriptEngine::AutoCreateDynamicProperties (enum)
	{12, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 9},	//97 QScriptEngine::PreferExistingWrapperObject (enum)
	{12, 162, 0, 0, Smoke::mf_const, 205, 11},	//98 QScriptEngine::metaObject() const
	{12, 229, 166, 3, 0, 218, 12},	//99 QScriptEngine::qt_metacall(QMetaObject::Call, int, void**)
	{12, 26, 0, 0, Smoke::mf_ctor, 95, 13},	//100 QScriptEngine::QScriptEngine()
	{12, 26, 170, 1, Smoke::mf_ctor, 95, 14},	//101 QScriptEngine::QScriptEngine(QObject*)
	{12, 318, 0, 0, Smoke::mf_dtor, 0, 73},	//102 QScriptEngine::~QScriptEngine()
	{12, 129, 0, 0, Smoke::mf_const, 106, 15},	//103 QScriptEngine::globalObject() const
	{12, 91, 0, 0, Smoke::mf_const, 89, 16},	//104 QScriptEngine::currentContext() const
	{12, 228, 0, 0, 0, 89, 17},	//105 QScriptEngine::pushContext()
	{12, 210, 0, 0, 0, 0, 18},	//106 QScriptEngine::popContext()
	{12, 76, 96, 1, Smoke::mf_const, 200, 19},	//107 QScriptEngine::canEvaluate(const QString&) const
	{12, 102, 111, 3, 0, 106, 20},	//108 QScriptEngine::evaluate(const QString&, const QString&, int)
	{12, 102, 108, 2, 0, 106, 21},	//109 QScriptEngine::evaluate(const QString&, const QString&)
	{12, 102, 96, 1, 0, 106, 22},	//110 QScriptEngine::evaluate(const QString&)
	{12, 146, 0, 0, Smoke::mf_const, 200, 23},	//111 QScriptEngine::isEvaluating() const
	{12, 61, 61, 1, 0, 0, 24},	//112 QScriptEngine::abortEvaluation(const QScriptValue&)
	{12, 61, 0, 0, 0, 0, 25},	//113 QScriptEngine::abortEvaluation()
	{12, 132, 0, 0, Smoke::mf_const, 200, 26},	//114 QScriptEngine::hasUncaughtException() const
	{12, 309, 0, 0, Smoke::mf_const, 106, 27},	//115 QScriptEngine::uncaughtException() const
	{12, 311, 0, 0, Smoke::mf_const, 218, 28},	//116 QScriptEngine::uncaughtExceptionLineNumber() const
	{12, 310, 0, 0, Smoke::mf_const, 126, 29},	//117 QScriptEngine::uncaughtExceptionBacktrace() const
	{12, 80, 0, 0, 0, 0, 30},	//118 QScriptEngine::clearExceptions()
	{12, 197, 0, 0, 0, 106, 31},	//119 QScriptEngine::nullValue()
	{12, 312, 0, 0, 0, 106, 32},	//120 QScriptEngine::undefinedValue()
	{12, 170, 10, 2, 0, 106, 33},	//121 QScriptEngine::newFunction(FunctionSignature, int)
	{12, 170, 1, 1, 0, 106, 34},	//122 QScriptEngine::newFunction(FunctionSignature)
	{12, 170, 6, 3, 0, 106, 35},	//123 QScriptEngine::newFunction(FunctionSignature, const QScriptValue&, int)
	{12, 170, 3, 2, 0, 106, 36},	//124 QScriptEngine::newFunction(FunctionSignature, const QScriptValue&)
	{12, 170, 31, 2, 0, 106, 37},	//125 QScriptEngine::newFunction(FunctionWithArgSignature, void*)
	{12, 193, 118, 1, 0, 106, 38},	//126 QScriptEngine::newVariant(const QVariant&)
	{12, 193, 78, 2, 0, 106, 39},	//127 QScriptEngine::newVariant(const QScriptValue&, const QVariant&)
	{12, 190, 43, 1, 0, 106, 40},	//128 QScriptEngine::newRegExp(const QRegExp&)
	{12, 177, 0, 0, 0, 106, 41},	//129 QScriptEngine::newObject()
	{12, 177, 184, 2, 0, 106, 42},	//130 QScriptEngine::newObject(QScriptClass*, const QScriptValue&)
	{12, 177, 182, 1, 0, 106, 43},	//131 QScriptEngine::newObject(QScriptClass*)
	{12, 165, 150, 1, 0, 106, 44},	//132 QScriptEngine::newArray(uint)
	{12, 165, 0, 0, 0, 106, 45},	//133 QScriptEngine::newArray()
	{12, 190, 108, 2, 0, 106, 46},	//134 QScriptEngine::newRegExp(const QString&, const QString&)
	{12, 167, 125, 1, 0, 106, 47},	//135 QScriptEngine::newDate(double)
	{12, 167, 34, 1, 0, 106, 48},	//136 QScriptEngine::newDate(const QDateTime&)
	{12, 164, 0, 0, 0, 106, 49},	//137 QScriptEngine::newActivationObject()
	{12, 183, 178, 3, 0, 106, 50},	//138 QScriptEngine::newQObject(QObject*, QScriptEngine::ValueOwnership, const QScriptEngine::QObjectWrapOptions&)
	{12, 183, 175, 2, 0, 106, 51},	//139 QScriptEngine::newQObject(QObject*, QScriptEngine::ValueOwnership)
	{12, 183, 170, 1, 0, 106, 52},	//140 QScriptEngine::newQObject(QObject*)
	{12, 183, 88, 4, 0, 106, 53},	//141 QScriptEngine::newQObject(const QScriptValue&, QObject*, QScriptEngine::ValueOwnership, const QScriptEngine::QObjectWrapOptions&)
	{12, 183, 84, 3, 0, 106, 54},	//142 QScriptEngine::newQObject(const QScriptValue&, QObject*, QScriptEngine::ValueOwnership)
	{12, 183, 81, 2, 0, 106, 55},	//143 QScriptEngine::newQObject(const QScriptValue&, QObject*)
	{12, 180, 40, 2, 0, 106, 56},	//144 QScriptEngine::newQMetaObject(const QMetaObject*, const QScriptValue&)
	{12, 180, 38, 1, 0, 106, 57},	//145 QScriptEngine::newQMetaObject(const QMetaObject*)
	{12, 95, 127, 1, Smoke::mf_const, 106, 58},	//146 QScriptEngine::defaultPrototype(int) const
	{12, 249, 129, 2, 0, 0, 59},	//147 QScriptEngine::setDefaultPrototype(int, const QScriptValue&)
	{12, 134, 96, 1, 0, 106, 60},	//148 QScriptEngine::importExtension(const QString&)
	{12, 69, 0, 0, Smoke::mf_const, 126, 61},	//149 QScriptEngine::availableExtensions() const
	{12, 136, 0, 0, Smoke::mf_const, 126, 62},	//150 QScriptEngine::importedExtensions() const
	{12, 81, 0, 0, 0, 0, 63},	//151 QScriptEngine::collectGarbage()
	{12, 251, 127, 1, 0, 0, 64},	//152 QScriptEngine::setProcessEventsInterval(int)
	{12, 214, 0, 0, Smoke::mf_const, 218, 65},	//153 QScriptEngine::processEventsInterval() const
	{12, 245, 13, 1, 0, 0, 66},	//154 QScriptEngine::setAgent(QScriptEngineAgent*)
	{12, 64, 0, 0, Smoke::mf_const, 100, 67},	//155 QScriptEngine::agent() const
	{12, 301, 96, 1, 0, 103, 68},	//156 QScriptEngine::toStringHandle(const QString&)
	{12, 199, 132, 1, Smoke::mf_const, 106, 69},	//157 QScriptEngine::objectById(qint64) const
	{12, 273, 61, 1, 0, 0, 70},	//158 QScriptEngine::signalHandlerException(const QScriptValue&)
	{12, 306, 122, 2, Smoke::mf_static, 123, 71},	//159 QScriptEngine::tr(const char*, const char*)
	{12, 306, 120, 1, Smoke::mf_static, 123, 72},	//160 QScriptEngine::tr(const char*)
	{12, 276, 0, 0, Smoke::mf_static, 204, 10},	//161 QScriptEngine::staticMetaObject (static var)
	{13, 28, 195, 1, Smoke::mf_ctor, 100, 1},	//162 QScriptEngineAgent::QScriptEngineAgent(QScriptEngine*)
	{13, 319, 0, 0, Smoke::mf_dtor, 0, 15},	//163 QScriptEngineAgent::~QScriptEngineAgent()
	{13, 238, 141, 4, 0, 0, 2},	//164 QScriptEngineAgent::scriptLoad(qint64, const QString&, const QString&, int)
	{13, 241, 132, 1, 0, 0, 3},	//165 QScriptEngineAgent::scriptUnload(qint64)
	{13, 90, 0, 0, 0, 0, 4},	//166 QScriptEngineAgent::contextPush()
	{13, 89, 0, 0, 0, 0, 5},	//167 QScriptEngineAgent::contextPop()
	{13, 120, 132, 1, 0, 0, 6},	//168 QScriptEngineAgent::functionEntry(qint64)
	{13, 122, 134, 2, 0, 0, 7},	//169 QScriptEngineAgent::functionExit(qint64, const QScriptValue&)
	{13, 211, 146, 3, 0, 0, 8},	//170 QScriptEngineAgent::positionChange(qint64, int, int)
	{13, 112, 137, 3, 0, 0, 9},	//171 QScriptEngineAgent::exceptionThrow(qint64, const QScriptValue&, bool)
	{13, 110, 134, 2, 0, 0, 10},	//172 QScriptEngineAgent::exceptionCatch(qint64, const QScriptValue&)
	{13, 279, 15, 1, Smoke::mf_const, 200, 11},	//173 QScriptEngineAgent::supportsExtension(QScriptEngineAgent::Extension) const
	{13, 114, 17, 2, 0, 168, 12},	//174 QScriptEngineAgent::extension(QScriptEngineAgent::Extension, const QVariant&)
	{13, 114, 15, 1, 0, 168, 13},	//175 QScriptEngineAgent::extension(QScriptEngineAgent::Extension)
	{13, 99, 0, 0, Smoke::mf_const, 95, 14},	//176 QScriptEngineAgent::engine() const
	{14, 137, 115, 2, 0, 0, 1},	//177 QScriptExtensionInterface::initialize(const QString&, QScriptEngine*) [pure virtual]
	{15, 162, 0, 0, Smoke::mf_const, 205, 2},	//178 QScriptExtensionPlugin::metaObject() const
	{15, 229, 166, 3, 0, 218, 3},	//179 QScriptExtensionPlugin::qt_metacall(QMetaObject::Call, int, void**)
	{15, 30, 170, 1, Smoke::mf_ctor, 102, 4},	//180 QScriptExtensionPlugin::QScriptExtensionPlugin(QObject*)
	{15, 30, 0, 0, Smoke::mf_ctor, 102, 5},	//181 QScriptExtensionPlugin::QScriptExtensionPlugin()
	{15, 320, 0, 0, Smoke::mf_dtor, 0, 11},	//182 QScriptExtensionPlugin::~QScriptExtensionPlugin()
	{15, 158, 0, 0, Smoke::mf_const, 126, 6},	//183 QScriptExtensionPlugin::keys() const [pure virtual]
	{15, 137, 115, 2, 0, 0, 7},	//184 QScriptExtensionPlugin::initialize(const QString&, QScriptEngine*) [pure virtual]
	{15, 271, 115, 2, Smoke::mf_const, 106, 8},	//185 QScriptExtensionPlugin::setupPackage(const QString&, QScriptEngine*) const
	{15, 306, 122, 2, Smoke::mf_static, 123, 9},	//186 QScriptExtensionPlugin::tr(const char*, const char*)
	{15, 306, 120, 1, Smoke::mf_static, 123, 10},	//187 QScriptExtensionPlugin::tr(const char*)
	{15, 276, 0, 0, Smoke::mf_static, 204, 1},	//188 QScriptExtensionPlugin::staticMetaObject (static var)
	{16, 32, 0, 0, Smoke::mf_ctor, 105, 1},	//189 QScriptString::QScriptString()
	{16, 32, 49, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 105, 2},	//190 QScriptString::QScriptString(const QScriptString&)
	{16, 321, 0, 0, Smoke::mf_dtor, 0, 9},	//191 QScriptString::~QScriptString()
	{16, 205, 49, 1, 0, 104, 3},	//192 QScriptString::operator=(const QScriptString&)
	{16, 156, 0, 0, Smoke::mf_const, 200, 4},	//193 QScriptString::isValid() const
	{16, 207, 49, 1, Smoke::mf_const, 200, 5},	//194 QScriptString::operator==(const QScriptString&) const
	{16, 203, 49, 1, Smoke::mf_const, 200, 6},	//195 QScriptString::operator!=(const QScriptString&) const
	{16, 300, 0, 0, Smoke::mf_const, 123, 7},	//196 QScriptString::toString() const
	{16, 202, 0, 0, Smoke::mf_const, 0, 8},	//197 QScriptString::operator QString() const
	{17, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 1},	//198 QScriptValue::ResolveLocal (enum)
	{17, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 2},	//199 QScriptValue::ResolvePrototype (enum)
	{17, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 3},	//200 QScriptValue::ResolveScope (enum)
	{17, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 4},	//201 QScriptValue::ResolveFull (enum)
	{17, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 5},	//202 QScriptValue::ReadOnly (enum)
	{17, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 6},	//203 QScriptValue::Undeletable (enum)
	{17, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 7},	//204 QScriptValue::SkipInEnumeration (enum)
	{17, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 8},	//205 QScriptValue::PropertyGetter (enum)
	{17, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 9},	//206 QScriptValue::PropertySetter (enum)
	{17, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 10},	//207 QScriptValue::QObjectMember (enum)
	{17, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 11},	//208 QScriptValue::KeepExistingFlags (enum)
	{17, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 12},	//209 QScriptValue::UserRange (enum)
	{17, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 13},	//210 QScriptValue::NullValue (enum)
	{17, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 14},	//211 QScriptValue::UndefinedValue (enum)
	{17, 34, 0, 0, Smoke::mf_ctor, 108, 15},	//212 QScriptValue::QScriptValue()
	{17, 322, 0, 0, Smoke::mf_dtor, 0, 90},	//213 QScriptValue::~QScriptValue()
	{17, 34, 61, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 108, 16},	//214 QScriptValue::QScriptValue(const QScriptValue&)
	{17, 34, 197, 2, Smoke::mf_ctor, 108, 17},	//215 QScriptValue::QScriptValue(QScriptEngine*, QScriptValue::SpecialValue)
	{17, 34, 200, 2, Smoke::mf_ctor, 108, 18},	//216 QScriptValue::QScriptValue(QScriptEngine*, bool)
	{17, 34, 212, 2, Smoke::mf_ctor, 108, 19},	//217 QScriptValue::QScriptValue(QScriptEngine*, int)
	{17, 34, 215, 2, Smoke::mf_ctor, 108, 20},	//218 QScriptValue::QScriptValue(QScriptEngine*, uint)
	{17, 34, 209, 2, Smoke::mf_ctor, 108, 21},	//219 QScriptValue::QScriptValue(QScriptEngine*, double)
	{17, 34, 203, 2, Smoke::mf_ctor, 108, 22},	//220 QScriptValue::QScriptValue(QScriptEngine*, const QString&)
	{17, 34, 206, 2, Smoke::mf_ctor, 108, 23},	//221 QScriptValue::QScriptValue(QScriptEngine*, const char*)
	{17, 205, 61, 1, 0, 107, 24},	//222 QScriptValue::operator=(const QScriptValue&)
	{17, 99, 0, 0, Smoke::mf_const, 95, 25},	//223 QScriptValue::engine() const
	{17, 156, 0, 0, Smoke::mf_const, 200, 26},	//224 QScriptValue::isValid() const
	{17, 142, 0, 0, Smoke::mf_const, 200, 27},	//225 QScriptValue::isBoolean() const
	{17, 149, 0, 0, Smoke::mf_const, 200, 28},	//226 QScriptValue::isNumber() const
	{17, 147, 0, 0, Smoke::mf_const, 200, 29},	//227 QScriptValue::isFunction() const
	{17, 148, 0, 0, Smoke::mf_const, 200, 30},	//228 QScriptValue::isNull() const
	{17, 154, 0, 0, Smoke::mf_const, 200, 31},	//229 QScriptValue::isString() const
	{17, 155, 0, 0, Smoke::mf_const, 200, 32},	//230 QScriptValue::isUndefined() const
	{17, 157, 0, 0, Smoke::mf_const, 200, 33},	//231 QScriptValue::isVariant() const
	{17, 152, 0, 0, Smoke::mf_const, 200, 34},	//232 QScriptValue::isQObject() const
	{17, 151, 0, 0, Smoke::mf_const, 200, 35},	//233 QScriptValue::isQMetaObject() const
	{17, 150, 0, 0, Smoke::mf_const, 200, 36},	//234 QScriptValue::isObject() const
	{17, 144, 0, 0, Smoke::mf_const, 200, 37},	//235 QScriptValue::isDate() const
	{17, 153, 0, 0, Smoke::mf_const, 200, 38},	//236 QScriptValue::isRegExp() const
	{17, 141, 0, 0, Smoke::mf_const, 200, 39},	//237 QScriptValue::isArray() const
	{17, 145, 0, 0, Smoke::mf_const, 200, 40},	//238 QScriptValue::isError() const
	{17, 300, 0, 0, Smoke::mf_const, 123, 41},	//239 QScriptValue::toString() const
	{17, 295, 0, 0, Smoke::mf_const, 217, 42},	//240 QScriptValue::toNumber() const
	{17, 290, 0, 0, Smoke::mf_const, 200, 43},	//241 QScriptValue::toBoolean() const
	{17, 294, 0, 0, Smoke::mf_const, 217, 44},	//242 QScriptValue::toInteger() const
	{17, 293, 0, 0, Smoke::mf_const, 218, 45},	//243 QScriptValue::toInt32() const
	{17, 304, 0, 0, Smoke::mf_const, 222, 46},	//244 QScriptValue::toUInt32() const
	{17, 303, 0, 0, Smoke::mf_const, 223, 47},	//245 QScriptValue::toUInt16() const
	{17, 305, 0, 0, Smoke::mf_const, 168, 48},	//246 QScriptValue::toVariant() const
	{17, 298, 0, 0, Smoke::mf_const, 71, 49},	//247 QScriptValue::toQObject() const
	{17, 297, 0, 0, Smoke::mf_const, 205, 50},	//248 QScriptValue::toQMetaObject() const
	{17, 296, 0, 0, Smoke::mf_const, 106, 51},	//249 QScriptValue::toObject() const
	{17, 291, 0, 0, Smoke::mf_const, 18, 52},	//250 QScriptValue::toDateTime() const
	{17, 299, 0, 0, Smoke::mf_const, 80, 53},	//251 QScriptValue::toRegExp() const
	{17, 139, 61, 1, Smoke::mf_const, 200, 54},	//252 QScriptValue::instanceOf(const QScriptValue&) const
	{17, 159, 61, 1, Smoke::mf_const, 200, 55},	//253 QScriptValue::lessThan(const QScriptValue&) const
	{17, 100, 61, 1, Smoke::mf_const, 200, 56},	//254 QScriptValue::equals(const QScriptValue&) const
	{17, 277, 61, 1, Smoke::mf_const, 200, 57},	//255 QScriptValue::strictlyEquals(const QScriptValue&) const
	{17, 227, 0, 0, Smoke::mf_const, 106, 58},	//256 QScriptValue::prototype() const
	{17, 259, 61, 1, 0, 0, 59},	//257 QScriptValue::setPrototype(const QScriptValue&)
	{17, 235, 0, 0, Smoke::mf_const, 106, 60},	//258 QScriptValue::scope() const
	{17, 263, 61, 1, 0, 0, 61},	//259 QScriptValue::setScope(const QScriptValue&)
	{17, 215, 105, 2, Smoke::mf_const, 106, 62},	//260 QScriptValue::property(const QString&, const QScriptValue::ResolveFlags&) const
	{17, 215, 96, 1, Smoke::mf_const, 106, 63},	//261 QScriptValue::property(const QString&) const
	{17, 253, 101, 3, 0, 0, 64},	//262 QScriptValue::setProperty(const QString&, const QScriptValue&, const QScriptValue::PropertyFlags&)
	{17, 253, 98, 2, 0, 0, 65},	//263 QScriptValue::setProperty(const QString&, const QScriptValue&)
	{17, 215, 161, 2, Smoke::mf_const, 106, 66},	//264 QScriptValue::property(unsigned int, const QScriptValue::ResolveFlags&) const
	{17, 215, 152, 1, Smoke::mf_const, 106, 67},	//265 QScriptValue::property(unsigned int) const
	{17, 253, 157, 3, 0, 0, 68},	//266 QScriptValue::setProperty(unsigned int, const QScriptValue&, const QScriptValue::PropertyFlags&)
	{17, 253, 154, 2, 0, 0, 69},	//267 QScriptValue::setProperty(unsigned int, const QScriptValue&)
	{17, 215, 58, 2, Smoke::mf_const, 106, 70},	//268 QScriptValue::property(const QScriptString&, const QScriptValue::ResolveFlags&) const
	{17, 215, 49, 1, Smoke::mf_const, 106, 71},	//269 QScriptValue::property(const QScriptString&) const
	{17, 253, 54, 3, 0, 0, 72},	//270 QScriptValue::setProperty(const QScriptString&, const QScriptValue&, const QScriptValue::PropertyFlags&)
	{17, 253, 51, 2, 0, 0, 73},	//271 QScriptValue::setProperty(const QScriptString&, const QScriptValue&)
	{17, 221, 105, 2, Smoke::mf_const, 110, 74},	//272 QScriptValue::propertyFlags(const QString&, const QScriptValue::ResolveFlags&) const
	{17, 221, 96, 1, Smoke::mf_const, 110, 75},	//273 QScriptValue::propertyFlags(const QString&) const
	{17, 221, 58, 2, Smoke::mf_const, 110, 76},	//274 QScriptValue::propertyFlags(const QScriptString&, const QScriptValue::ResolveFlags&) const
	{17, 221, 49, 1, Smoke::mf_const, 110, 77},	//275 QScriptValue::propertyFlags(const QScriptString&) const
	{17, 71, 63, 2, 0, 106, 78},	//276 QScriptValue::call(const QScriptValue&, const QList<QScriptValue>&)
	{17, 71, 61, 1, 0, 106, 79},	//277 QScriptValue::call(const QScriptValue&)
	{17, 71, 0, 0, 0, 106, 80},	//278 QScriptValue::call()
	{17, 71, 75, 2, 0, 106, 81},	//279 QScriptValue::call(const QScriptValue&, const QScriptValue&)
	{17, 85, 36, 1, 0, 106, 82},	//280 QScriptValue::construct(const QList<QScriptValue>&)
	{17, 85, 0, 0, 0, 106, 83},	//281 QScriptValue::construct()
	{17, 85, 61, 1, 0, 106, 84},	//282 QScriptValue::construct(const QScriptValue&)
	{17, 94, 0, 0, Smoke::mf_const, 106, 85},	//283 QScriptValue::data() const
	{17, 247, 61, 1, 0, 0, 86},	//284 QScriptValue::setData(const QScriptValue&)
	{17, 236, 0, 0, Smoke::mf_const, 81, 87},	//285 QScriptValue::scriptClass() const
	{17, 265, 182, 1, 0, 0, 88},	//286 QScriptValue::setScriptClass(QScriptClass*)
	{17, 201, 0, 0, Smoke::mf_const, 219, 89},	//287 QScriptValue::objectId() const
	{18, 37, 61, 1, Smoke::mf_ctor, 117, 1},	//288 QScriptValueIterator::QScriptValueIterator(const QScriptValue&)
	{18, 323, 0, 0, Smoke::mf_dtor, 0, 15},	//289 QScriptValueIterator::~QScriptValueIterator()
	{18, 130, 0, 0, Smoke::mf_const, 200, 2},	//290 QScriptValueIterator::hasNext() const
	{18, 196, 0, 0, 0, 0, 3},	//291 QScriptValueIterator::next()
	{18, 131, 0, 0, Smoke::mf_const, 200, 4},	//292 QScriptValueIterator::hasPrevious() const
	{18, 213, 0, 0, 0, 0, 5},	//293 QScriptValueIterator::previous()
	{18, 163, 0, 0, Smoke::mf_const, 123, 6},	//294 QScriptValueIterator::name() const
	{18, 240, 0, 0, Smoke::mf_const, 103, 7},	//295 QScriptValueIterator::scriptName() const
	{18, 313, 0, 0, Smoke::mf_const, 106, 8},	//296 QScriptValueIterator::value() const
	{18, 269, 61, 1, 0, 0, 9},	//297 QScriptValueIterator::setValue(const QScriptValue&)
	{18, 118, 0, 0, Smoke::mf_const, 110, 10},	//298 QScriptValueIterator::flags() const
	{18, 233, 0, 0, 0, 0, 11},	//299 QScriptValueIterator::remove()
	{18, 292, 0, 0, 0, 0, 12},	//300 QScriptValueIterator::toFront()
	{18, 289, 0, 0, 0, 0, 13},	//301 QScriptValueIterator::toBack()
	{18, 205, 20, 1, 0, 116, 14},	//302 QScriptValueIterator::operator=(QScriptValue&)
	{19, 39, 0, 0, Smoke::mf_ctor, 118, 1},	//303 QScriptable::QScriptable()
	{19, 324, 0, 0, Smoke::mf_dtor, 0, 7},	//304 QScriptable::~QScriptable()
	{19, 99, 0, 0, Smoke::mf_const, 95, 2},	//305 QScriptable::engine() const
	{19, 88, 0, 0, Smoke::mf_const, 89, 3},	//306 QScriptable::context() const
	{19, 281, 0, 0, Smoke::mf_const, 106, 4},	//307 QScriptable::thisObject() const
	{19, 67, 0, 0, Smoke::mf_const, 218, 5},	//308 QScriptable::argumentCount() const
	{19, 65, 127, 1, Smoke::mf_const, 106, 6},	//309 QScriptable::argument(int) const
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap qtscript_methodMaps[] = {
	{ 0, 0, 0 },	//0 (no method)
	{8, 3, 12},	//1 QScriptClass::Callable
	{8, 8, 10},	//2 QScriptClass::HandlesReadAccess
	{8, 9, 11},	//3 QScriptClass::HandlesWriteAccess
	{8, 19, 13},	//4 QScriptClass::QScriptClass#
	{8, 20, 26},	//5 QScriptClass::QScriptClass#?
	{8, 99, 15},	//6 QScriptClass::engine
	{8, 115, 25},	//7 QScriptClass::extension$
	{8, 116, 24},	//8 QScriptClass::extension$#
	{8, 163, 22},	//9 QScriptClass::name
	{8, 176, 20},	//10 QScriptClass::newIterator#
	{8, 217, 17},	//11 QScriptClass::property##$
	{8, 223, 19},	//12 QScriptClass::propertyFlags##$
	{8, 227, 21},	//13 QScriptClass::prototype
	{8, 232, 16},	//14 QScriptClass::queryProperty##$$
	{8, 256, 18},	//15 QScriptClass::setProperty##$#
	{8, 280, 23},	//16 QScriptClass::supportsExtension$
	{8, 314, 14},	//17 QScriptClass::~QScriptClass
	{9, 22, 38},	//18 QScriptClassPropertyIterator::QScriptClassPropertyIterator#
	{9, 23, 39},	//19 QScriptClassPropertyIterator::QScriptClassPropertyIterator#?
	{9, 118, 37},	//20 QScriptClassPropertyIterator::flags
	{9, 130, 29},	//21 QScriptClassPropertyIterator::hasNext
	{9, 131, 31},	//22 QScriptClassPropertyIterator::hasPrevious
	{9, 133, 36},	//23 QScriptClassPropertyIterator::id
	{9, 163, 35},	//24 QScriptClassPropertyIterator::name
	{9, 196, 30},	//25 QScriptClassPropertyIterator::next
	{9, 198, 28},	//26 QScriptClassPropertyIterator::object
	{9, 213, 32},	//27 QScriptClassPropertyIterator::previous
	{9, 289, 34},	//28 QScriptClassPropertyIterator::toBack
	{9, 292, 33},	//29 QScriptClassPropertyIterator::toFront
	{9, 315, 27},	//30 QScriptClassPropertyIterator::~QScriptClassPropertyIterator
	{10, 4, 41},	//31 QScriptContext::ExceptionState
	{10, 12, 40},	//32 QScriptContext::NormalState
	{10, 43, 46},	//33 QScriptContext::RangeError
	{10, 45, 43},	//34 QScriptContext::ReferenceError
	{10, 54, 44},	//35 QScriptContext::SyntaxError
	{10, 55, 45},	//36 QScriptContext::TypeError
	{10, 56, 47},	//37 QScriptContext::URIError
	{10, 59, 42},	//38 QScriptContext::UnknownError
	{10, 63, 57},	//39 QScriptContext::activationObject
	{10, 66, 53},	//40 QScriptContext::argument$
	{10, 67, 52},	//41 QScriptContext::argumentCount
	{10, 68, 54},	//42 QScriptContext::argumentsObject
	{10, 70, 65},	//43 QScriptContext::backtrace
	{10, 75, 51},	//44 QScriptContext::callee
	{10, 99, 49},	//45 QScriptContext::engine
	{10, 143, 61},	//46 QScriptContext::isCalledAsConstructor
	{10, 209, 48},	//47 QScriptContext::parentContext
	{10, 234, 55},	//48 QScriptContext::returnValue
	{10, 244, 58},	//49 QScriptContext::setActivationObject#
	{10, 262, 56},	//50 QScriptContext::setReturnValue#
	{10, 268, 60},	//51 QScriptContext::setThisObject#
	{10, 275, 50},	//52 QScriptContext::state
	{10, 281, 59},	//53 QScriptContext::thisObject
	{10, 283, 64},	//54 QScriptContext::throwError$
	{10, 284, 63},	//55 QScriptContext::throwError$$
	{10, 286, 62},	//56 QScriptContext::throwValue#
	{10, 300, 66},	//57 QScriptContext::toString
	{11, 11, 70},	//58 QScriptContextInfo::NativeFunction
	{11, 24, 73},	//59 QScriptContextInfo::QScriptContextInfo
	{11, 25, -1},	//60 QScriptContextInfo::QScriptContextInfo#
	{11, 40, 68},	//61 QScriptContextInfo::QtFunction
	{11, 42, 69},	//62 QScriptContextInfo::QtPropertyFunction
	{11, 50, 67},	//63 QScriptContextInfo::ScriptFunction
	{11, 82, 80},	//64 QScriptContextInfo::columnNumber
	{11, 117, 78},	//65 QScriptContextInfo::fileName
	{11, 119, 85},	//66 QScriptContextInfo::functionEndLineNumber
	{11, 124, 86},	//67 QScriptContextInfo::functionMetaIndex
	{11, 125, 81},	//68 QScriptContextInfo::functionName
	{11, 126, 83},	//69 QScriptContextInfo::functionParameterNames
	{11, 127, 84},	//70 QScriptContextInfo::functionStartLineNumber
	{11, 128, 82},	//71 QScriptContextInfo::functionType
	{11, 148, 76},	//72 QScriptContextInfo::isNull
	{11, 161, 79},	//73 QScriptContextInfo::lineNumber
	{11, 204, 88},	//74 QScriptContextInfo::operator!=#
	{11, 206, 75},	//75 QScriptContextInfo::operator=#
	{11, 208, 87},	//76 QScriptContextInfo::operator==#
	{11, 237, 77},	//77 QScriptContextInfo::scriptId
	{11, 317, 74},	//78 QScriptContextInfo::~QScriptContextInfo
	{12, 1, 96},	//79 QScriptEngine::AutoCreateDynamicProperties
	{12, 2, 91},	//80 QScriptEngine::AutoOwnership
	{12, 5, 92},	//81 QScriptEngine::ExcludeChildObjects
	{12, 6, 93},	//82 QScriptEngine::ExcludeSuperClassMethods
	{12, 7, 94},	//83 QScriptEngine::ExcludeSuperClassProperties
	{12, 14, 97},	//84 QScriptEngine::PreferExistingWrapperObject
	{12, 26, 100},	//85 QScriptEngine::QScriptEngine
	{12, 27, 101},	//86 QScriptEngine::QScriptEngine#
	{12, 41, 89},	//87 QScriptEngine::QtOwnership
	{12, 51, 90},	//88 QScriptEngine::ScriptOwnership
	{12, 53, 95},	//89 QScriptEngine::SkipMethodsInEnumeration
	{12, 61, 113},	//90 QScriptEngine::abortEvaluation
	{12, 62, 112},	//91 QScriptEngine::abortEvaluation#
	{12, 64, 155},	//92 QScriptEngine::agent
	{12, 69, 149},	//93 QScriptEngine::availableExtensions
	{12, 77, 107},	//94 QScriptEngine::canEvaluate$
	{12, 80, 118},	//95 QScriptEngine::clearExceptions
	{12, 81, 151},	//96 QScriptEngine::collectGarbage
	{12, 91, 104},	//97 QScriptEngine::currentContext
	{12, 96, 146},	//98 QScriptEngine::defaultPrototype$
	{12, 103, 110},	//99 QScriptEngine::evaluate$
	{12, 104, 109},	//100 QScriptEngine::evaluate$$
	{12, 105, 108},	//101 QScriptEngine::evaluate$$$
	{12, 129, 103},	//102 QScriptEngine::globalObject
	{12, 132, 114},	//103 QScriptEngine::hasUncaughtException
	{12, 135, 148},	//104 QScriptEngine::importExtension$
	{12, 136, 150},	//105 QScriptEngine::importedExtensions
	{12, 146, 111},	//106 QScriptEngine::isEvaluating
	{12, 162, 98},	//107 QScriptEngine::metaObject
	{12, 164, 137},	//108 QScriptEngine::newActivationObject
	{12, 165, 133},	//109 QScriptEngine::newArray
	{12, 166, 132},	//110 QScriptEngine::newArray$
	{12, 168, 136},	//111 QScriptEngine::newDate#
	{12, 169, 135},	//112 QScriptEngine::newDate$
	{12, 171, 122},	//113 QScriptEngine::newFunction?
	{12, 172, 124},	//114 QScriptEngine::newFunction?#
	{12, 173, 123},	//115 QScriptEngine::newFunction?#$
	{12, 174, -4},	//116 QScriptEngine::newFunction?$
	{12, 177, 129},	//117 QScriptEngine::newObject
	{12, 178, 131},	//118 QScriptEngine::newObject#
	{12, 179, 130},	//119 QScriptEngine::newObject##
	{12, 181, 145},	//120 QScriptEngine::newQMetaObject#
	{12, 182, 144},	//121 QScriptEngine::newQMetaObject##
	{12, 184, 140},	//122 QScriptEngine::newQObject#
	{12, 185, 143},	//123 QScriptEngine::newQObject##
	{12, 186, 142},	//124 QScriptEngine::newQObject##$
	{12, 187, 141},	//125 QScriptEngine::newQObject##$$
	{12, 188, 139},	//126 QScriptEngine::newQObject#$
	{12, 189, 138},	//127 QScriptEngine::newQObject#$$
	{12, 191, 128},	//128 QScriptEngine::newRegExp#
	{12, 192, 134},	//129 QScriptEngine::newRegExp$$
	{12, 194, 126},	//130 QScriptEngine::newVariant#
	{12, 195, 127},	//131 QScriptEngine::newVariant##
	{12, 197, 119},	//132 QScriptEngine::nullValue
	{12, 200, 157},	//133 QScriptEngine::objectById$
	{12, 210, 106},	//134 QScriptEngine::popContext
	{12, 214, 153},	//135 QScriptEngine::processEventsInterval
	{12, 228, 105},	//136 QScriptEngine::pushContext
	{12, 230, 99},	//137 QScriptEngine::qt_metacall$$?
	{12, 246, 154},	//138 QScriptEngine::setAgent#
	{12, 250, 147},	//139 QScriptEngine::setDefaultPrototype$#
	{12, 252, 152},	//140 QScriptEngine::setProcessEventsInterval$
	{12, 274, 158},	//141 QScriptEngine::signalHandlerException#
	{12, 276, 161},	//142 QScriptEngine::staticMetaObject
	{12, 302, 156},	//143 QScriptEngine::toStringHandle$
	{12, 307, 160},	//144 QScriptEngine::tr$
	{12, 308, 159},	//145 QScriptEngine::tr$$
	{12, 309, 115},	//146 QScriptEngine::uncaughtException
	{12, 310, 117},	//147 QScriptEngine::uncaughtExceptionBacktrace
	{12, 311, 116},	//148 QScriptEngine::uncaughtExceptionLineNumber
	{12, 312, 120},	//149 QScriptEngine::undefinedValue
	{12, 318, 102},	//150 QScriptEngine::~QScriptEngine
	{13, 29, 162},	//151 QScriptEngineAgent::QScriptEngineAgent#
	{13, 89, 167},	//152 QScriptEngineAgent::contextPop
	{13, 90, 166},	//153 QScriptEngineAgent::contextPush
	{13, 99, 176},	//154 QScriptEngineAgent::engine
	{13, 111, 172},	//155 QScriptEngineAgent::exceptionCatch$#
	{13, 113, 171},	//156 QScriptEngineAgent::exceptionThrow$#$
	{13, 115, 175},	//157 QScriptEngineAgent::extension$
	{13, 116, 174},	//158 QScriptEngineAgent::extension$#
	{13, 121, 168},	//159 QScriptEngineAgent::functionEntry$
	{13, 123, 169},	//160 QScriptEngineAgent::functionExit$#
	{13, 212, 170},	//161 QScriptEngineAgent::positionChange$$$
	{13, 239, 164},	//162 QScriptEngineAgent::scriptLoad$$$$
	{13, 242, 165},	//163 QScriptEngineAgent::scriptUnload$
	{13, 280, 173},	//164 QScriptEngineAgent::supportsExtension$
	{13, 319, 163},	//165 QScriptEngineAgent::~QScriptEngineAgent
	{15, 30, 181},	//166 QScriptExtensionPlugin::QScriptExtensionPlugin
	{15, 31, 180},	//167 QScriptExtensionPlugin::QScriptExtensionPlugin#
	{15, 138, 184},	//168 QScriptExtensionPlugin::initialize$#
	{15, 158, 183},	//169 QScriptExtensionPlugin::keys
	{15, 162, 178},	//170 QScriptExtensionPlugin::metaObject
	{15, 230, 179},	//171 QScriptExtensionPlugin::qt_metacall$$?
	{15, 272, 185},	//172 QScriptExtensionPlugin::setupPackage$#
	{15, 276, 188},	//173 QScriptExtensionPlugin::staticMetaObject
	{15, 307, 187},	//174 QScriptExtensionPlugin::tr$
	{15, 308, 186},	//175 QScriptExtensionPlugin::tr$$
	{15, 320, 182},	//176 QScriptExtensionPlugin::~QScriptExtensionPlugin
	{16, 32, 189},	//177 QScriptString::QScriptString
	{16, 33, 190},	//178 QScriptString::QScriptString#
	{16, 156, 193},	//179 QScriptString::isValid
	{16, 202, 197},	//180 QScriptString::operator QString
	{16, 204, 195},	//181 QScriptString::operator!=#
	{16, 206, 192},	//182 QScriptString::operator=#
	{16, 208, 194},	//183 QScriptString::operator==#
	{16, 300, 196},	//184 QScriptString::toString
	{16, 321, 191},	//185 QScriptString::~QScriptString
	{17, 10, 208},	//186 QScriptValue::KeepExistingFlags
	{17, 13, 210},	//187 QScriptValue::NullValue
	{17, 15, 205},	//188 QScriptValue::PropertyGetter
	{17, 16, 206},	//189 QScriptValue::PropertySetter
	{17, 17, 207},	//190 QScriptValue::QObjectMember
	{17, 34, 212},	//191 QScriptValue::QScriptValue
	{17, 35, 214},	//192 QScriptValue::QScriptValue#
	{17, 36, -7},	//193 QScriptValue::QScriptValue#$
	{17, 44, 202},	//194 QScriptValue::ReadOnly
	{17, 46, 201},	//195 QScriptValue::ResolveFull
	{17, 47, 198},	//196 QScriptValue::ResolveLocal
	{17, 48, 199},	//197 QScriptValue::ResolvePrototype
	{17, 49, 200},	//198 QScriptValue::ResolveScope
	{17, 52, 204},	//199 QScriptValue::SkipInEnumeration
	{17, 57, 211},	//200 QScriptValue::UndefinedValue
	{17, 58, 203},	//201 QScriptValue::Undeletable
	{17, 60, 209},	//202 QScriptValue::UserRange
	{17, 71, 278},	//203 QScriptValue::call
	{17, 72, 277},	//204 QScriptValue::call#
	{17, 73, 279},	//205 QScriptValue::call##
	{17, 74, 276},	//206 QScriptValue::call#?
	{17, 85, 281},	//207 QScriptValue::construct
	{17, 86, 282},	//208 QScriptValue::construct#
	{17, 87, 280},	//209 QScriptValue::construct?
	{17, 94, 283},	//210 QScriptValue::data
	{17, 99, 223},	//211 QScriptValue::engine
	{17, 101, 254},	//212 QScriptValue::equals#
	{17, 140, 252},	//213 QScriptValue::instanceOf#
	{17, 141, 237},	//214 QScriptValue::isArray
	{17, 142, 225},	//215 QScriptValue::isBoolean
	{17, 144, 235},	//216 QScriptValue::isDate
	{17, 145, 238},	//217 QScriptValue::isError
	{17, 147, 227},	//218 QScriptValue::isFunction
	{17, 148, 228},	//219 QScriptValue::isNull
	{17, 149, 226},	//220 QScriptValue::isNumber
	{17, 150, 234},	//221 QScriptValue::isObject
	{17, 151, 233},	//222 QScriptValue::isQMetaObject
	{17, 152, 232},	//223 QScriptValue::isQObject
	{17, 153, 236},	//224 QScriptValue::isRegExp
	{17, 154, 229},	//225 QScriptValue::isString
	{17, 155, 230},	//226 QScriptValue::isUndefined
	{17, 156, 224},	//227 QScriptValue::isValid
	{17, 157, 231},	//228 QScriptValue::isVariant
	{17, 160, 253},	//229 QScriptValue::lessThan#
	{17, 201, 287},	//230 QScriptValue::objectId
	{17, 206, 222},	//231 QScriptValue::operator=#
	{17, 216, 269},	//232 QScriptValue::property#
	{17, 218, 268},	//233 QScriptValue::property#$
	{17, 219, -15},	//234 QScriptValue::property$
	{17, 220, -18},	//235 QScriptValue::property$$
	{17, 222, 275},	//236 QScriptValue::propertyFlags#
	{17, 224, 274},	//237 QScriptValue::propertyFlags#$
	{17, 225, 273},	//238 QScriptValue::propertyFlags$
	{17, 226, 272},	//239 QScriptValue::propertyFlags$$
	{17, 227, 256},	//240 QScriptValue::prototype
	{17, 235, 258},	//241 QScriptValue::scope
	{17, 236, 285},	//242 QScriptValue::scriptClass
	{17, 248, 284},	//243 QScriptValue::setData#
	{17, 254, 271},	//244 QScriptValue::setProperty##
	{17, 255, 270},	//245 QScriptValue::setProperty##$
	{17, 257, -21},	//246 QScriptValue::setProperty$#
	{17, 258, -24},	//247 QScriptValue::setProperty$#$
	{17, 260, 257},	//248 QScriptValue::setPrototype#
	{17, 264, 259},	//249 QScriptValue::setScope#
	{17, 266, 286},	//250 QScriptValue::setScriptClass#
	{17, 278, 255},	//251 QScriptValue::strictlyEquals#
	{17, 290, 241},	//252 QScriptValue::toBoolean
	{17, 291, 250},	//253 QScriptValue::toDateTime
	{17, 293, 243},	//254 QScriptValue::toInt32
	{17, 294, 242},	//255 QScriptValue::toInteger
	{17, 295, 240},	//256 QScriptValue::toNumber
	{17, 296, 249},	//257 QScriptValue::toObject
	{17, 297, 248},	//258 QScriptValue::toQMetaObject
	{17, 298, 247},	//259 QScriptValue::toQObject
	{17, 299, 251},	//260 QScriptValue::toRegExp
	{17, 300, 239},	//261 QScriptValue::toString
	{17, 303, 245},	//262 QScriptValue::toUInt16
	{17, 304, 244},	//263 QScriptValue::toUInt32
	{17, 305, 246},	//264 QScriptValue::toVariant
	{17, 322, 213},	//265 QScriptValue::~QScriptValue
	{18, 38, 288},	//266 QScriptValueIterator::QScriptValueIterator#
	{18, 118, 298},	//267 QScriptValueIterator::flags
	{18, 130, 290},	//268 QScriptValueIterator::hasNext
	{18, 131, 292},	//269 QScriptValueIterator::hasPrevious
	{18, 163, 294},	//270 QScriptValueIterator::name
	{18, 196, 291},	//271 QScriptValueIterator::next
	{18, 206, 302},	//272 QScriptValueIterator::operator=#
	{18, 213, 293},	//273 QScriptValueIterator::previous
	{18, 233, 299},	//274 QScriptValueIterator::remove
	{18, 240, 295},	//275 QScriptValueIterator::scriptName
	{18, 270, 297},	//276 QScriptValueIterator::setValue#
	{18, 289, 301},	//277 QScriptValueIterator::toBack
	{18, 292, 300},	//278 QScriptValueIterator::toFront
	{18, 313, 296},	//279 QScriptValueIterator::value
	{18, 323, 289},	//280 QScriptValueIterator::~QScriptValueIterator
	{19, 39, 303},	//281 QScriptable::QScriptable
	{19, 66, 309},	//282 QScriptable::argument$
	{19, 67, 308},	//283 QScriptable::argumentCount
	{19, 88, 306},	//284 QScriptable::context
	{19, 99, 305},	//285 QScriptable::engine
	{19, 281, 307},	//286 QScriptable::thisObject
	{19, 324, 304},	//287 QScriptable::~QScriptable
};

static Smoke::Index qtscript_ambiguousMethodList[] = {
    0,
    71,  // QScriptContextInfo::QScriptContextInfo(const QScriptContext*)
    72,  // QScriptContextInfo::QScriptContextInfo(const QScriptContextInfo&)
    0,
    125,  // QScriptEngine::newFunction(FunctionWithArgSignature, void*)
    121,  // QScriptEngine::newFunction(FunctionSignature, int)
    0,
    219,  // QScriptValue::QScriptValue(QScriptEngine*, double)
    216,  // QScriptValue::QScriptValue(QScriptEngine*, bool)
    217,  // QScriptValue::QScriptValue(QScriptEngine*, int)
    221,  // QScriptValue::QScriptValue(QScriptEngine*, const char*)
    220,  // QScriptValue::QScriptValue(QScriptEngine*, const QString&)
    218,  // QScriptValue::QScriptValue(QScriptEngine*, uint)
    215,  // QScriptValue::QScriptValue(QScriptEngine*, QScriptValue::SpecialValue)
    0,
    265,  // QScriptValue::property(unsigned int) const
    261,  // QScriptValue::property(const QString&) const
    0,
    264,  // QScriptValue::property(unsigned int, const QScriptValue::ResolveFlags&) const
    260,  // QScriptValue::property(const QString&, const QScriptValue::ResolveFlags&) const
    0,
    263,  // QScriptValue::setProperty(const QString&, const QScriptValue&)
    267,  // QScriptValue::setProperty(unsigned int, const QScriptValue&)
    0,
    266,  // QScriptValue::setProperty(unsigned int, const QScriptValue&, const QScriptValue::PropertyFlags&)
    262,  // QScriptValue::setProperty(const QString&, const QScriptValue&, const QScriptValue::PropertyFlags&)
    0,
};


void init_qt_Smoke();

static bool initialized = false;
Smoke *qtscript_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtscript_Smoke() {
    if (initialized) return;
    init_qt_Smoke();
    qtscript_Smoke = new Smoke(
        "qtscript",
        qtscript_classes, 21,
        qtscript_methods, 310,
        qtscript_methodMaps, 287,
        qtscript_methodNames, 324,
        qtscript_types, 225,
        qtscript_inheritanceList,
        qtscript_argumentList,
        qtscript_ambiguousMethodList,
        qtscript_cast );
    initialized = true;
}
